//
//  CameraView.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2024/01/19.
//

import SwiftUI

struct CameraView: View {
    @Binding var imageData : Data
    @Binding var source: UIImagePickerController.SourceType

    @Binding var isActionSheet: Bool
    @Binding var isImagePicker: Bool

    var body: some View {
        NavigationStack {
            List {
            }.navigationDestination(isPresented: $isImagePicker) {
                Imagepicker(show: $isImagePicker, image: $imageData, sourceType: source)
            }
        }
        .ignoresSafeArea(.all, edges: .top)
        .background(Color.primary.opacity(0.06).ignoresSafeArea(.all, edges: .all))
    }
}
